Orders
List Order Tasks
Retrieves a list of all tasks associated with a specific order.
Retrieves a list of all tasks associated with a specific order.
AuthorizationBasic <token>
In: header
Path Parameters
order_handle*string
Query Parameters
fulfillment_attempt?|
The attempt number for order fulfillment.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/orders/string/tasks"{ "tasks": [ { "label": "string", "task_definition_id": "string", "description": "string", "metadata": { "property1": null, "property2": null }, "priority": "none", "task_id": "string", "status": "string", "created_at": "string", "updated_at": "string", "attachments": [ { "type": "image", "url": "string", "caption": "string", "attachment_id": "string" } ] } ]}{ "detail": {}, "message": "string"}{ "code": "order_not_found", "title": "Order Not Found", "detail": { "description": "Order not found for handle <order_handle>" }}{ "detail": { "<location>": { "<field_name>": [ "string" ] } }, "message": "string"}Create Tasks Definition POST
Creates a new task definition for an order. This endpoint is used to define the structure and requirements of tasks that can be created for orders.
Create Order Tasks POST
Creates tasks for an order. The tasks are created based on the provided request parameters. This endpoint is used to manage tasks associated with orders in the system.